JavaScript/jQuery Box Methods
beginUpdate()
Prevents the UI component from refreshing until the endUpdate() method is called.
The beginUpdate() and endUpdate() methods prevent the UI component from excessive updates when you are changing multiple UI component settings at once. After the beginUpdate() method is called, the UI component does not update its UI until the endUpdate() method is called.
See Also
defaultOptions(rule)
defaultOptions is a static method that the UI component class supports. The following code demonstrates how to specify default properties for all instances of the Box UI component in an application executed on the desktop.
- DevExpress.ui.dxBox.defaultOptions({
- device: { deviceType: "desktop" },
- options: {
- // Here go the Box properties
- }
- });
dispose()
After calling this method, remove the DOM element associated with the UI component:
- $("#myBox").dxBox("dispose");
- $("#myBox").remove();
Use this method only if the UI component was created with jQuery or pure JavaScript. In Angular, Vue, and React, use conditional rendering:
See Also
getDataSource()
Gets the DataSource instance.
See Also
- Call Methods: Angular | Vue | React | jQuery | AngularJS | Knockout
- Data Layer - Overview
- Data Layer - DataSource Examples
getInstance(element)
getInstance is a static method that the UI component class supports. The following code demonstrates how to get the Box instance found in an element with the myBox
ID:
- // Modular approach
- import Box from "devextreme/ui/box";
- ...
- let element = document.getElementById("myBox");
- let instance = Box.getInstance(element) as Box;
- // Non-modular approach
- let element = document.getElementById("myBox");
- let instance = DevExpress.ui.dxBox.getInstance(element);
See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React Box Methods
This section describes members used to manipulate the UI component.
beginUpdate()
Prevents the UI component from refreshing until the endUpdate() method is called.
The beginUpdate() and endUpdate() methods prevent the UI component from excessive updates when you are changing multiple UI component settings at once. After the beginUpdate() method is called, the UI component does not update its UI until the endUpdate() method is called.
See Also
defaultOptions(rule)
Specifies the device-dependent default configuration properties for this component.
The component's default device properties.
defaultOptions is a static method that the UI component class supports. The following code demonstrates how to specify default properties for all instances of the Box UI component in an application executed on the desktop.
jQuery
DevExpress.ui.dxBox.defaultOptions({ device: { deviceType: "desktop" }, options: { // Here go the Box properties } });
Angular
import Box from "devextreme/ui/box"; // ... export class AppComponent { constructor () { Box.defaultOptions({ device: { deviceType: "desktop" }, options: { // Here go the Box properties } }); } }
Vue
<template> <div> <DxBox id="box1" /> <DxBox id="box2" /> </div> </template> <script> import DxBox from "devextreme-vue/box"; import Box from "devextreme/ui/box"; Box.defaultOptions({ device: { deviceType: "desktop" }, options: { // Here go the Box properties } }); export default { components: { DxBox } } </script>
React
import React, {useEffect} from "react"; import dxBox from "devextreme/ui/box"; import Box from "devextreme-react/box"; export default function App() { useEffect(() => { dxBox.defaultOptions({ device: { deviceType: "desktop" }, options: { // Here go the Box properties } }) }); return ( <div> <Box id="box1" /> <Box id="box2" /> </div> ) }
dispose()
Disposes of all the resources allocated to the Box instance.
After calling this method, remove the DOM element associated with the UI component:
$("#myBox").dxBox("dispose"); $("#myBox").remove();
Use this method only if the UI component was created with jQuery or pure JavaScript. In Angular, Vue, and React, use conditional rendering:
Angular
<dx-box ... *ngIf="condition"> </dx-box>
Vue
<template> <DxBox ... v-if="condition"> </DxBox> </template> <script> import DxBox from 'devextreme-vue/box'; export default { components: { DxBox } } </script>
React
import React from 'react'; import Box from 'devextreme-react/box'; function DxBox(props) { if (!props.shouldRender) { return null; } return ( <Box ... > </Box> ); } class App extends React.Component { render() { return ( <DxBox shouldRender="condition" /> ); } } export default App;
See Also
element()
Gets the root UI component element.
An HTML element or a jQuery element when you use jQuery.
getDataSource()
Gets the DataSource instance.
The DataSource instance.
See Also
- Call Methods: Angular | Vue | React | jQuery | AngularJS | Knockout
- Data Layer - Overview
- Data Layer - DataSource Examples
getInstance(element)
Gets the instance of a UI component found using its DOM node.
The UI component's instance.
getInstance is a static method that the UI component class supports. The following code demonstrates how to get the Box instance found in an element with the myBox
ID:
// Modular approach import Box from "devextreme/ui/box"; ... let element = document.getElementById("myBox"); let instance = Box.getInstance(element) as Box; // Non-modular approach let element = document.getElementById("myBox"); let instance = DevExpress.ui.dxBox.getInstance(element);
See Also
instance()
Gets the UI component's instance. Use it to access other methods of the UI component.
This UI component's instance.
off(eventName)
Detaches all event handlers from a single event.
The event's name.
The object for which this method is called.
off(eventName, eventHandler)
Detaches a particular event handler from a single event.
The object for which this method is called.
on(eventName, eventHandler)
Subscribes to an event.
The object for which this method is called.
on(events)
Subscribes to events.
Events with their handlers: { "eventName1": handler1, "eventName2": handler2, ...}
The object for which this method is called.
option(optionName)
Gets the value of a single property.
The property's name or full path.
This property's value.
option(options)
Updates the values of several properties.
Options with their new values.
repaint()
Repaints the UI component without reloading data. Call it to update the UI component's markup.
resetOption(optionName)
Resets a property to its default value.
A property's name.
If you have technical questions, please create a support ticket in the DevExpress Support Center.